%define        majversion  %(echo %version | cut -d. -f 1-2)

Name:          libglademm
Version:       2.6.7
Release:       2mamba
Summary:       C++ interface for Glade, a user interface builder for GTK+ and GNOME
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
Source:        http://ftp.gnome.org/pub/GNOME/sources/libglademm/%{majversion}/libglademm-%{version}.tar.bz2
License:       GPL
BuildRequires: pkgconfig
BuildRequires: xorg-server-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libcairomm-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglade-devel
BuildRequires: libglib-devel
BuildRequires: libglibmm-devel
BuildRequires: libgtk-devel
BuildRequires: libgtkmm-devel
BuildRequires: libpango-devel
BuildRequires: libsigc++2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
C++ interface for Glade, a user interface builder for GTK+ and GNOME.

%package devel
Summary:       Devel package for %{name} 
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Library for Glade, a user interface builder for GTK+ and GNOME.

This package contains static libraries and header files needed for development.

%prep
%setup -q

%build
%configure \
   --libexecdir=%{_sbindir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_includedir}/%{name}-?.?/
%{_includedir}/%{name}-?.?/*
%{_libdir}/pkgconfig/%{name}*.pc
%dir %{_libdir}/%{name}-?.?
%{_libdir}/%{name}-?.?/*
%{_datadir}/doc/*
%{_datadir}/devhelp/*

%changelog
* Sat Aug 31 2013 Automatic Build System <autodist@mambasoft.it> 2.6.7-2mamba
- automatic rebuild by autodist

* Tue Nov 18 2008 gil <puntogil@libero.it> 2.6.7-1mamba
- update to 2.6.7

* Mon Oct 29 2007 Fabio Giani <fabio.giani@gmail.com> 2.6.5-1mamba
- update to 2.6.5

* Thu Jun 15 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.6.2-1qilnx
- update to version 2.6.2 by autospec

* Mon Aug 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.0-1qilnx
- update to version 2.6.0 by autospec

* Fri Dec 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-1qilnx
- update to version 2.4.1 by autospec

* Tue Dec 30 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1qilnx
- first build
